Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs	(revision 252)
@@ -80,42 +80,42 @@
         public bool SelectAction(string AddSQLString, ref List<VehicleMaster> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = "SELECT";
+                strcmd.Append("SELECT");
 
-                strcmd += " VehicleCode";
-                strcmd += ",DisplayOrder";
-                strcmd += ",VehicleName";
-                strcmd += ",RegistrationNumber";
-                strcmd += ",IdentificationNumber";
-                strcmd += ",ModelCode";
-                strcmd += ",DepartmentCode";
-                strcmd += ",VehicleScheduleFlg";
-                strcmd += ",DATE_FORMAT(PurchaseDate, '%Y/%m/%d')";
-                strcmd += ",PurchaseName";
-                strcmd += ",PurchaseContactPersons";
-                strcmd += ",PurchasePhone";
-                strcmd += ",DATE_FORMAT(LeaseDate, '%Y/%m/%d')";
-                strcmd += ",LeaseDestination";
-                strcmd += ",LeaseContactPersons";
-                strcmd += ",LeasePhone";
-                strcmd += ",InsuranceCompany";
-                strcmd += ",InsuranceContactPersons";
-                strcmd += ",InsurancePhone";
-                strcmd += ",Note";
+                strcmd.Append(" VehicleCode");
+                strcmd.Append(",DisplayOrder");
+                strcmd.Append(",VehicleName");
+                strcmd.Append(",RegistrationNumber");
+                strcmd.Append(",IdentificationNumber");
+                strcmd.Append(",ModelCode");
+                strcmd.Append(",DepartmentCode");
+                strcmd.Append(",VehicleScheduleFlg");
+                strcmd.Append(",DATE_FORMAT(PurchaseDate, '%Y/%m/%d')");
+                strcmd.Append(",PurchaseName");
+                strcmd.Append(",PurchaseContactPersons");
+                strcmd.Append(",PurchasePhone");
+                strcmd.Append(",DATE_FORMAT(LeaseDate, '%Y/%m/%d')");
+                strcmd.Append(",LeaseDestination");
+                strcmd.Append(",LeaseContactPersons");
+                strcmd.Append(",LeasePhone");
+                strcmd.Append(",InsuranceCompany");
+                strcmd.Append(",InsuranceContactPersons");
+                strcmd.Append(",InsurancePhone");
+                strcmd.Append(",Note");
 
-                strcmd += " ,DATE_FORMAT(EntryDate,'%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate,'%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM VehicleMaster";
-                strcmd += AddSQLString;
+                strcmd.Append(" ,DATE_FORMAT(EntryDate,'%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" ,DATE_FORMAT(UpdateDate,'%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" FROM VehicleMaster");
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -129,7 +129,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -144,61 +144,61 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<VehicleMaster> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO VehicleMaster";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO VehicleMaster");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (VehicleMaster work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.VehicleCode.ToString());
-                    strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
-                    strcmd += string.Format(",'{0}'", work.VehicleName);
-                    strcmd += string.Format(",'{0}'", work.RegistrationNumber.ToString());
-                    strcmd += string.Format(",'{0}'", work.IdentificationNumber.ToString());
-                    strcmd += string.Format(",'{0}'", work.ModelCode);
-                    strcmd += string.Format(", {0}", work.DepartmentCode.ToString());
-                    strcmd += string.Format(", {0}", work.VehicleScheduleFlg.ToString());
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%dD')", work.PurchaseDate.ToShortDateString());
-                    strcmd += string.Format(",'{0}'", work.PurchaseName);
-                    strcmd += string.Format(",'{0}'", work.PurchaseContactPersons);
-                    strcmd += string.Format(",'{0}'", work.PurchasePhone);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.LeaseDate.ToShortDateString());
-                    strcmd += string.Format(",'{0}'", work.LeaseDestination);
-                    strcmd += string.Format(",'{0}'", work.LeaseContactPersons);
-                    strcmd += string.Format(",'{0}'", work.LeasePhone);
-                    strcmd += string.Format(",'{0}'", work.InsuranceCompany);
-                    strcmd += string.Format(",'{0}'", work.InsuranceContactPersons);
-                    strcmd += string.Format(",'{0}'", work.InsurancePhone);
-                    strcmd += string.Format(",'{0}'", work.Note);
+                    strcmd.AppendFormat("  {0}", work.VehicleCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
+                    strcmd.AppendFormat(",'{0}'", work.VehicleName);
+                    strcmd.AppendFormat(",'{0}'", work.RegistrationNumber.ToString());
+                    strcmd.AppendFormat(",'{0}'", work.IdentificationNumber.ToString());
+                    strcmd.AppendFormat(",'{0}'", work.ModelCode);
+                    strcmd.AppendFormat(", {0}", work.DepartmentCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.VehicleScheduleFlg.ToString());
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%dD')", work.PurchaseDate.ToShortDateString());
+                    strcmd.AppendFormat(",'{0}'", work.PurchaseName);
+                    strcmd.AppendFormat(",'{0}'", work.PurchaseContactPersons);
+                    strcmd.AppendFormat(",'{0}'", work.PurchasePhone);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.LeaseDate.ToShortDateString());
+                    strcmd.AppendFormat(",'{0}'", work.LeaseDestination);
+                    strcmd.AppendFormat(",'{0}'", work.LeaseContactPersons);
+                    strcmd.AppendFormat(",'{0}'", work.LeasePhone);
+                    strcmd.AppendFormat(",'{0}'", work.InsuranceCompany);
+                    strcmd.AppendFormat(",'{0}'", work.InsuranceContactPersons);
+                    strcmd.AppendFormat(",'{0}'", work.InsurancePhone);
+                    strcmd.AppendFormat(",'{0}'", work.Note);
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
                 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -213,46 +213,46 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, VehicleMaster data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE VehicleMaster";
+                strcmd.Append("UPDATE VehicleMaster");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" VehicleCode = {0}", data.VehicleCode.ToString());
-                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd += string.Format(",VehicleName = '{0}'", data.VehicleName);
-                strcmd += string.Format(",RegistrationNumber = '{0}'", data.RegistrationNumber);
-                strcmd += string.Format(",IdentificationNumber = '{0}'", data.IdentificationNumber);
-                strcmd += string.Format(",ModelCode = '{0}'", data.ModelCode);
-                strcmd += string.Format(",DepartmentCode = {0}", data.DepartmentCode.ToString());
-                strcmd += string.Format(",VehicleScheduleFlg = {0}", data.VehicleScheduleFlg.ToString());
-                strcmd += string.Format(",PurchaseDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.PurchaseDate.ToShortDateString());
-                strcmd += string.Format(",PurchaseName = '{0}'", data.PurchaseName);
-                strcmd += string.Format(",PurchaseContactPersons = '{0}'", data.PurchaseContactPersons);
-                strcmd += string.Format(",PurchasePhone = '{0}'", data.PurchasePhone);
-                strcmd += string.Format(",LeaseDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.LeaseDate.ToShortDateString());
-                strcmd += string.Format(",LeaseDestination = '{0}'", data.LeaseDestination);
-                strcmd += string.Format(",LeaseContactPersons = '{0}'", data.LeaseContactPersons);
-                strcmd += string.Format(",LeasePhone = '{0}'", data.LeasePhone);
-                strcmd += string.Format(",InsuranceCompany = '{0}'", data.InsuranceCompany);
-                strcmd += string.Format(",InsuranceContactPersons = '{0}'", data.InsuranceContactPersons);
-                strcmd += string.Format(",InsurancePhone = '{0}'", data.InsurancePhone);
-                strcmd += string.Format(",Note = '{0}'", data.Note);
+                strcmd.AppendFormat(" VehicleCode = {0}", data.VehicleCode.ToString());
+                strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(",VehicleName = '{0}'", data.VehicleName);
+                strcmd.AppendFormat(",RegistrationNumber = '{0}'", data.RegistrationNumber);
+                strcmd.AppendFormat(",IdentificationNumber = '{0}'", data.IdentificationNumber);
+                strcmd.AppendFormat(",ModelCode = '{0}'", data.ModelCode);
+                strcmd.AppendFormat(",DepartmentCode = {0}", data.DepartmentCode.ToString());
+                strcmd.AppendFormat(",VehicleScheduleFlg = {0}", data.VehicleScheduleFlg.ToString());
+                strcmd.AppendFormat(",PurchaseDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.PurchaseDate.ToShortDateString());
+                strcmd.AppendFormat(",PurchaseName = '{0}'", data.PurchaseName);
+                strcmd.AppendFormat(",PurchaseContactPersons = '{0}'", data.PurchaseContactPersons);
+                strcmd.AppendFormat(",PurchasePhone = '{0}'", data.PurchasePhone);
+                strcmd.AppendFormat(",LeaseDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.LeaseDate.ToShortDateString());
+                strcmd.AppendFormat(",LeaseDestination = '{0}'", data.LeaseDestination);
+                strcmd.AppendFormat(",LeaseContactPersons = '{0}'", data.LeaseContactPersons);
+                strcmd.AppendFormat(",LeasePhone = '{0}'", data.LeasePhone);
+                strcmd.AppendFormat(",InsuranceCompany = '{0}'", data.InsuranceCompany);
+                strcmd.AppendFormat(",InsuranceContactPersons = '{0}'", data.InsuranceContactPersons);
+                strcmd.AppendFormat(",InsurancePhone = '{0}'", data.InsurancePhone);
+                strcmd.AppendFormat(",Note = '{0}'", data.Note);
 
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -268,18 +268,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM VehicleMaster", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM VehicleMaster", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -383,18 +383,18 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int VehicleCode)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where VehicleCode = {0}", VehicleCode);
+                strWork.AppendFormat(" Where VehicleCode = {0}", VehicleCode);
 
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
@@ -408,16 +408,16 @@
         public int SelectMaxVehicleKeyCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(VehicleCode), 0) FROM VehicleMaster" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(VehicleCode), 0) FROM VehicleMaster{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -430,7 +430,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs	(revision 252)
@@ -57,7 +57,7 @@
 
         #endregion
 
-        #region パブリックメソッド
+        #region 車両マスタ検索
         /// <summary>
         /// 車両マスタ検索
         /// </summary>
@@ -67,29 +67,29 @@
         public bool SelectAction(string AddSQLString, ref List<VehicleRecordData> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = "SELECT";
+                strcmd.Append("SELECT");
 
-                strcmd += " VehicleCode";
-                strcmd += ",DivisionCode";
-                strcmd += ",SeqNo";
-                strcmd += ",DATE_FORMAT(RecordDate, '%Y/%m/%d')";
-                strcmd += ",Mileage";
-                strcmd += ",Content";
-                strcmd += ",PaymentCost";
+                strcmd.Append(" VehicleCode");
+                strcmd.Append(",DivisionCode");
+                strcmd.Append(",SeqNo");
+                strcmd.Append(",DATE_FORMAT(RecordDate, '%Y/%m/%d')");
+                strcmd.Append(",Mileage");
+                strcmd.Append(",Content");
+                strcmd.Append(",PaymentCost");
 
-                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM VehicleRecordData";
-                strcmd += AddSQLString;
+                strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" FROM VehicleRecordData");
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -103,12 +103,14 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
         }
+        #endregion
 
+        #region 車両マスタ追加
         /// <summary>
         /// 車両マスタ追加
         /// </summary>
@@ -116,52 +118,54 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<VehicleRecordData> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO VehicleRecordData";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO VehicleRecordData");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (VehicleRecordData work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.VehicleCode.ToString());
-                    strcmd += string.Format(", {0}", work.DivisionCode.ToString());
-                    strcmd += string.Format(", {0}", work.SeqNo.ToString());
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.RecordDate.ToShortDateString());
-                    strcmd += string.Format(", {0}", work.Mileage.ToString());
-                    strcmd += string.Format(",'{0}'", work.Content);
-                    strcmd += string.Format(", {0}", work.PaymentCost.ToString());
+                    strcmd.AppendFormat("  {0}", work.VehicleCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.DivisionCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.SeqNo.ToString());
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.RecordDate.ToShortDateString());
+                    strcmd.AppendFormat(", {0}", work.Mileage.ToString());
+                    strcmd.AppendFormat(",'{0}'", work.Content);
+                    strcmd.AppendFormat(", {0}", work.PaymentCost.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
+        #region 車両マスタ更新
         /// <summary>
         /// 車両マスタ更新
         /// </summary>
@@ -170,37 +174,38 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, VehicleRecordData data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE VehicleRecordData";
+                strcmd.Append("UPDATE VehicleRecordData");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" VehicleCode = {0}", data.VehicleCode.ToString());
-                strcmd += string.Format(",DivisionCode = {0}", data.DivisionCode.ToString());
-                strcmd += string.Format(",SeqNo = {0}", data.SeqNo.ToString());
-                strcmd += string.Format(",RecordDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.RecordDate.ToShortDateString());
-                strcmd += string.Format(",Mileage = {0}", data.Mileage.ToString());
-                strcmd += string.Format(",Content = '{0}'", data.Content);
-                strcmd += string.Format(",PaymentCost = {0}", data.PaymentCost.ToString());
+                strcmd.AppendFormat(" VehicleCode = {0}", data.VehicleCode.ToString());
+                strcmd.AppendFormat(",DivisionCode = {0}", data.DivisionCode.ToString());
+                strcmd.AppendFormat(",SeqNo = {0}", data.SeqNo.ToString());
+                strcmd.AppendFormat(",RecordDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.RecordDate.ToShortDateString());
+                strcmd.AppendFormat(",Mileage = {0}", data.Mileage.ToString());
+                strcmd.AppendFormat(",Content = '{0}'", data.Content);
+                strcmd.AppendFormat(",PaymentCost = {0}", data.PaymentCost.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
-
+        #region 車両マスタ削除
         /// <summary>
         /// 車両マスタ削除
         /// </summary>
@@ -210,22 +215,24 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM VehicleRecordData", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM VehicleRecordData", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
+        #region 構造体へセットする
         /// <summary>
         /// 構造体へセットする
         /// </summary>
@@ -255,11 +262,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
-
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
@@ -267,23 +272,25 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int VehicleCode, int DivisionCode = 0, int SeqNo = 0)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where VehicleCode = {0}", VehicleCode);
+                strWork.AppendFormat(" Where VehicleCode = {0}", VehicleCode);
                 if (DivisionCode != 0)
-                strWork += string.Format(" And DivisionCode = {0}", DivisionCode);
+                strWork.AppendFormat(" And DivisionCode = {0}", DivisionCode);
                 if (SeqNo != 0)
-                    strWork += string.Format(" And SeqNo = {0}", SeqNo);
+                    strWork.AppendFormat(" And SeqNo = {0}", SeqNo);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
+        #endregion
 
+        #region 最大値を取得する
         /// <summary>
         /// 最大値を取得する
         /// </summary>
@@ -293,16 +300,16 @@
         public int SelectMaxVehicleKeyCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(SeqNo), 0) FROM VehicleRecordData" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(SeqNo), 0) FROM VehicleRecordData{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -315,7 +322,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
